> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Joinable Organizations

> Lists organizations that the currently authenticated account can join.

`Unary` · [`Accounts`](/docs/api-reference/generated/account/overview)

Lists organizations that the currently authenticated account can join.

Use this method to:

* Discover organizations associated with the account's email domain.
* Allow users to join existing organizations.
* Display potential organizations during onboarding.

### Examples

* List joinable organizations:

  Retrieves a list of organizations the account can join.

  ```yaml theme={null}
  {}
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AccountService/ListJoinableOrganizations
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.AccountService/ListJoinableOrganizations" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "pagination": {
      "pageSize": 1
    }
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.account_pb2 as account_pb2
  import gitpod.v1.pagination_pb2 as pagination_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = account_pb2.ListJoinableOrganizationsRequest(
      pagination=pagination_pb2.PaginationRequest(
          page_size=1,
      ),
  )
  response = ona.services.account.list_joinable_organizations(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ListJoinableOrganizationsRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ListJoinableOrganizationsRequestSchema, {
      pagination: {
        pageSize: 1,
      },
    });
    const response = await ona.services.account.listJoinableOrganizations(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ListJoinableOrganizationsRequest{
  		Pagination: &gitpodpb.PaginationRequest{
  			PageSize: 1,
  		},
  	})
  	response, err := ona.Services.Account.ListJoinableOrganizations(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "pagination": {
      "pageSize": 1
    }
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ListJoinableOrganizationsRequest`

| Field        | Type                                                    | Required | Description                                                                   |
| ------------ | ------------------------------------------------------- | -------- | ----------------------------------------------------------------------------- |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request) | No       | pagination contains the pagination options for listing joinable organizations |

## Response

`gitpod.v1.ListJoinableOrganizationsResponse`

| Field                   | Type                                                                   | Required | Description                   |
| ----------------------- | ---------------------------------------------------------------------- | -------- | ----------------------------- |
| `joinableOrganizations` | array of [JoinableOrganization](#type-gitpod-v1-joinable-organization) | No       |                               |
| `pagination`            | [PaginationResponse](#type-gitpod-v1-pagination-response)              | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-joinable-organization" />

<Accordion title="JoinableOrganization">
  `gitpod.v1.JoinableOrganization`

  | Field                     | Type    | Required | Description                                                                                                      |
  | ------------------------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
  | `organizationId`          | string  | Yes      | organization\_id is the id of the organization the user can join Constraints: `required=true, string.uuid=true`. |
  | `organizationName`        | string  | Yes      | organization\_name is the name of the organization the user can join Constraints: `required=true`.               |
  | `organizationMemberCount` | integer | No       | organization\_member\_count is the member count of the organization the user can join                            |
</Accordion>

<a id="type-gitpod-v1-pagination-request" />

<Accordion title="PaginationRequest">
  `gitpod.v1.PaginationRequest`

  | Field      | Type    | Required | Description                                                                                                                              |
  | ---------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `pageSize` | integer | No       | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
  | `token`    | string  | No       | Token for the next set of results that was returned as next\_token of a PaginationResponse                                               |
</Accordion>

<a id="type-gitpod-v1-pagination-response" />

<Accordion title="PaginationResponse">
  `gitpod.v1.PaginationResponse`

  | Field       | Type   | Required | Description                                                                             |
  | ----------- | ------ | -------- | --------------------------------------------------------------------------------------- |
  | `nextToken` | string | No       | Token passed for retrieving the next set of results. Empty if there are no more results |
</Accordion>
